package com.reptileclient.jlifeapp.dao.hm;

import com.reptileclient.jlifeapp.entity.hm.HmPaymentItemSku;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface HmPaymentItemSkuMapper {
    int deleteByPrimaryKey(Long id);

    int insert(HmPaymentItemSku record);

    int insertSelective(HmPaymentItemSku record);

    HmPaymentItemSku selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(HmPaymentItemSku record);

    int updateByPrimaryKey(HmPaymentItemSku record);

    int insertByBatch(@Param("paymentNo") String paymentNo, @Param("itemSkuVoList") List<HmPaymentItemSku> itemSkuVoList);

    int deleteByPaymentNo(String paymentNo);
}